org.activiti.engine.delegate.event.impl

## Class ActivitiSignalEventImpl

- java.lang.Object
- - org.activiti.engine.delegate.event.impl.ActivitiEventImpl
  - - org.activiti.engine.delegate.event.impl.ActivitiActivityEventImpl
    - - org.activiti.engine.delegate.event.impl.ActivitiSignalEventImpl

- All Implemented Interfaces:
    ActivitiActivityEvent, ActivitiEvent, ActivitiSignalEvent

      public class ActivitiSignalEventImpl
      extends ActivitiActivityEventImpl
      implements ActivitiSignalEvent

  An `ActivitiSignalEvent` implementation.
  Author:
    Frederik Heremans

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Object` | `signalData`
    `protected String` | `signalName`

    - ### Fields inherited from class org.activiti.engine.delegate.event.impl.ActivitiActivityEventImpl

      `activityId, activityName, activityType, behaviorClass`

    - ### Fields inherited from class org.activiti.engine.delegate.event.impl.ActivitiEventImpl

      `executionId, processDefinitionId, processInstanceId, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActivitiSignalEventImpl(ActivitiEventType type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getSignalData()`
    `String` | `getSignalName()`
    `void` | `setSignalData(Object signalData)`
    `void` | `setSignalName(String signalName)`

    - ### Methods inherited from class org.activiti.engine.delegate.event.impl.ActivitiActivityEventImpl

      `getActivityId, getActivityName, getActivityType, getBehaviorClass, setActivityId, setActivityName, setActivityType, setBehaviorClass`

    - ### Methods inherited from class org.activiti.engine.delegate.event.impl.ActivitiEventImpl

      `getEngineServices, getExecutionId, getProcessDefinitionId, getProcessInstanceId, getType, setExecutionId, setProcessDefinitionId, setProcessInstanceId, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.activiti.engine.delegate.event.ActivitiActivityEvent

      `getActivityId, getActivityName, getActivityType, getBehaviorClass`

    - ### Methods inherited from interface org.activiti.engine.delegate.event.ActivitiEvent

      `getEngineServices, getExecutionId, getProcessDefinitionId, getProcessInstanceId, getType`

- - ### Field Detail

    - #### signalName

          protected String signalName

    - #### signalData

          protected Object signalData

  - ### Constructor Detail

    - #### ActivitiSignalEventImpl

          public ActivitiSignalEventImpl(ActivitiEventType type)

  - ### Method Detail

    - #### getSignalName

          public String getSignalName()

      Specified by:
        `getSignalName` in interface `ActivitiSignalEvent`
      Returns:
        the name of the signal. Returns null, if no specific signal name has been specified when signaling.

    - #### setSignalName

          public void setSignalName(String signalName)

    - #### getSignalData

          public Object getSignalData()

      Specified by:
        `getSignalData` in interface `ActivitiSignalEvent`
      Returns:
        the payload that was passed when signaling. Returns null, if no payload was passed.

    - #### setSignalData

          public void setSignalData(Object signalData)

Copyright © 2016 Alfresco. All rights reserved.